### Class

# Snapd SlotRef

since: 1.0

#### Description [src]

    final class Snapd.SlotRef : GObject.Object
    {
      /* No available fields */
    }

`SnapdSlotRef` contains the state of Snap a interface slot_ref.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_slot_ref_get_slot

Get the name of the slot.

since: 1.48

###### snapd_slot_ref_get_snap

Get the snap this slot is on.

since: 1.48

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.SlotRef:slot

No description available.

###### Snapd.SlotRef:snap

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdSlotRefClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.